ZDoom LE

ZDoom LE
Codebase ZDoom 2.8.1, GZDoom 1.8.4
Developer(s) drfrag
Initial release 2.8.1a (2017-03-16, 4 years ago)
Latest release 2.8.3a (2019-02-14, 2 years ago)
Development status Active
Written in C++
Target Platform Cross-Platform
Available in English (United States)
License Doom Source License, 3-point BSD, others

ZDoom LE, also known as ZDoom Legacy Edition, is a fork of the ZDoom source port by drfrag. It is based off ZDoom 2.8.1, and in a separate fork, also includes a OpenGL renderer courtesy of GZDoom 1.8.4 with additional fixes. It focuses on updating the last ZDoom release with new features for older and legacy computers whilst maintaining compatibility with several mods, such as Brutal Doom.

Contents

HistoryEdit

ZDoom LE was released to bring new features to generally older hardware, allowing users to play mods beyond the latest ZDoom release on hardware that cannot support GZDoom or LZDoom. Starting from version 2.8.1a R2, an OpenGL renderer was added, courtesy of GZDoom 1.8.4. ZDoom LE at this stage released in both software rendered and OpenGL based versions independently under the same 2.8.1 moniker.

This changed with ZDoom LE 2.8.1d, which saw the OpenGL version gotten raised to 2.8.2a. Since then, both subversions retain similarity in terms of feature set, but deviate in terms of version numbers. As of this writing, the latest versions are:

  • Software rendering only: ZDoom LE 2.8.1f, released February 14, 2019
  • OpenGL rendering: ZDoom LE 2.8.3a, released February 14, 2019

FeaturesEdit

  • All features from ZDoom 2.8.1 (ACS, etc) and GZDoom 1.8.4
  • Various patches and fixes for older mods
  • OpenGL 1.2 based renderer courtesy of GZDoom 1.8.4 (LE 2.8.x)
  • Restored Direct3D renderer
  • Compiled with Pentium II architecture optimizations
  • Sprite and wall distance culling to improve performance
  • Low detail modes (2x2, 3x2, 4x4)
  • Quad horizontally and double vertically render modes
  • Options to switch between Direct3D and DirectDraw rendering (Worldsim, backend)
  • New, more retro looking startup console
  • Modernized keyboard layout
  • FluidSynth midi support
  • Support for IWADs created with WadSmoosh (Doomworld/idgames)

TriviaEdit

  • ZDoom LE requires the following: Pentium 133, 16 MB RAM, 1 MB SVGA card and Windows 95. For OpenGL mode a graphics card with GL 1.2 support is required.
  • Previous versions include 2.8.1a, 2.8.1a R1, 2.8.1 R2.

External linksEdit

Source code genealogy
Based on Name Base for
ZDoom 2.8.1 ZDoom LE 2.8.x Active
GZDoom 1.8.4
Based on Name Base for
ZDoom 2.8.1 ZDoom LE 2.8.1.x Active